Package org.xnio.management

# Interface XnioProviderMXBean

public interface XnioProviderMXBean
The MXBean interface for XNIO providers.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the provider name.
`String`
`getVersion()`
Get the provider version string.

## Method Details

### getName

String getName()
Get the provider name.

Returns:
  the provider name

### getVersion

String getVersion()
Get the provider version string.

Returns:
  the provider version string